Page MenuHomePhabricator

[Task] add protocol when it is missing in URL
Closed, ResolvedPublic

Description

When adding a URL without http:// for example you get this not very helpful error message: "Malformed input: www.youtube.com"

http:// should be added automatically in this case.

Details

Reference
bz53403

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:53 AM
bzimport set Reference to bz53403.
bzimport added a subscriber: Unknown Object (MLST).

If it really should be added "automagically", the ticket should probably be shifted to the back-end / API.
However, I am not sure whether you should, in fact, magically add something to the value, although the plausibility is high. A more natural approach would be some "Did you mean?" hint.

You're right. Some "Did you mean" is probably better.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Jonas renamed this task from add protocol when it is missing in URL to [Task] add protocol when it is missing in URL.Nov 2 2015, 5:08 PM
Jonas updated the task description. (Show Details)
Jonas set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2015, 5:08 PM
Lydia_Pintscher closed this task as Resolved.Oct 15 2016, 5:10 PM
Lydia_Pintscher claimed this task.